%define         majornum    8
%define         libname     %mklibname %{name} %{majornum}
%define         develname   %mklibname -d %{name}

Name:           unbound
Version:        1.19.1
Release:        %mkrel 1
Summary:        A validating, recursive, and caching DNS resolver

License:        BSD
Group:          Networking/Other
Url:            https://unbound.net

Source0:        %{name}-%{version}.tar.xz
Source3:        %{name}_mga.conf
Source4:        %{name}.init

BuildRequires:  bison
BuildRequires:  doxygen
BuildRequires:  flex
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(python2)
BuildRequires:  pkgconfig(python3)
BuildRequires:  swig

Requires(pre):    rpm-helper 
Requires(post):   rpm-helper 
Requires(preun):  rpm-helper 
Requires(postun): rpm-helper 

%description
Unbound is a validating, recursive, and caching DNS resolver. The C
implementation of Unbound is developed and maintained by NLnet
Labs. It is based on ideas and algorithms taken from a java prototype
developed by Verisign labs, Nominet, Kirei and ep.net. Unbound is
designed as a set of modular components, so that also DNSSEC (secure
DNS) validation and stub-resolvers (that do not run as a server, but
are linked into an application) are easily possible.


%package -n %{libname}
Summary:        Shared libraries for Unbound  
Group:          System/Libraries

%description -n %{libname}
%{summary}.


%package -n %{develname}
Summary:        Development headers and libraries for Unbound
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
%{summary}.

%package -n python3-unbound
Summary:        Python 3 modules and extensions for unbound
Group:          Development/Python
%{?python_provide:%python_provide python3-unbound}
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Obsoletes: python-unbound

%description -n python3-unbound
Python 3 modules and extensions for unbound

%prep
%setup -q

%build

export PYTHON=%__python3
%configure2_5x \
	--disable-rpath \
	--disable-static \
	--with-libevent \
	--enable-event-api \
	--with-pythonmodule \
	--with-pyunbound \
	--enable-ipset

%make_build

%install
%make_install

%{__install} -D -p -m 0644  %{buildroot}%{_sysconfdir}/%{name}/unbound.conf %{buildroot}%{_docdir}/%{name}/unbound.conf
%{__install} -D -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
%{__install} -D -p -m 0755 %{SOURCE4} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}

find %{buildroot}%{_libdir} -name '*.la' -delete

%pre
%_pre_useradd %{name} /dev/null /bin/false
 
%postun
%_postun_userdel %{name}

%preun
%_preun_service %{name}

%post
%_post_service %{name}


%files
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%{_sbindir}/%{name}*
%{_docdir}/%{name}/unbound.conf
%{_mandir}/man1/%{name}*.1*
%{_mandir}/man5/%{name}*.5*
%{_mandir}/man8/%{name}*.8*
%{_sysconfdir}/rc.d/init.d/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{majornum}
%{_libdir}/lib%{name}.so.%{majornum}.*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3.*

%files -n python3-unbound
%doc pythonmod/LICENSE
%{python3_sitearch}/*
%doc libunbound/python/examples/*
%doc pythonmod/examples/*

%changelog
* Thu Feb 15 2024 tex - 1.19.1-1pclos2024
- new version

* Fri Oct 21 2022 tex - 1.17.0-1pclos2022
- new version

* Tue Sep 27 2022 tex - 1.16.3-1pclos2022
- new version

* Mon Aug 22 2022 tex - 1.16.2-1pclos2022
- new version

* Sun Feb 20 2022 TerryN <terryn94 at gmail.com>  1.13.2-2pclos2022
- rebuild for python 3.10

* Sat Aug 28 2021 tex - 1.13.2-1pclos2021
- new version

* Tue Dec 08 2020 tex - 1.13.0-1pclos2020
- new version

* Sat Apr 06 2019 tex - 1.9.1-1pclos2019
- Upgrade to version 1.9.1
